#!/bin/csh

echo "-- System Profile --"
echo
/usr/sbin/system_profiler

echo
echo "-- Preferences file --"
echo
/usr/bin/defaults read net.publicspace.abfa5
echo


echo "-- Console Output --"
echo
tail -n1000 /private/var/log/system.log

echo "-- Memory Usage --"

/usr/bin/top -l 1

echo
echo "-- Latest crash report --"
echo
set files = `ls -t "$HOME/Library/Logs/CrashReporter/A Better Finder Attributes 5"* | sed -n "1p"`

echo $files

if ( $#files > 0) then
	echo Printing file: $files
	echo
	cat "$files"
endif
